Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 31-08-2020 13:03:14

MrPatate
Membre
Distrib. : Debian GNU/Linux 9.13 (stretch)
Noyau : Linux 4.9.78-xxxx-std-ipv6-64
(G)UI : Aucun
Inscription : 06-08-2020

Mises à jours en conservant PHP7.2 sous Debian 9

Bonjour à toutes et à tous,

Sur un de mes serveurs en Debian 9, j'ai été contraint pour assurer les prérequis d'une application de mettre PHP en version 7.2 et MariaDB en 10.2 via l'ajout de sources.list Sury et un repo dédié.
Voici donc les sources.list :

deb http://debian.mirrors.ovh.net/debian stretch main
deb-src http://debian.mirrors.ovh.net/debian stretch main

deb http://security.debian.org/debian-security stretch/updates main
deb-src http://security.debian.org/debian-security stretch/updates main

# stretch-updates, previously known as 'volatile'
deb http://debian.mirrors.ovh.net/debian stretch-updates main
deb-src http://debian.mirrors.ovh.net/debian stretch-updates main

# Debian Backports
deb http://ftp.debian.org/debian stretch-backports main
deb [arch=i386,ppc64el,amd64] http://mirror.biznetgio.com/mariadb/repo/10.2/debian stretch main
# deb-src [arch=i386,ppc64el,amd64] https://mirror.serverion.com/mariadbrepo/10.2/debian stretch main

# PHP7.X
deb https://packages.sury.org/php/ stretch main


Tout s'est très bien passé et j'ai satisfait mes prérequis.

Par contre, pour conserver l'usage de PhpMyAdmin, j'ai procédé à une mise à jour par écrasement de la version d'origine... J'ai téléchargé une version compatible avec ma version de PHP et j'ai remplacé l'installation présente. Peut-être y avait-il une méthode plus clean mais j'ai pas trop cherché.
Tout fonctionne, c'est déjà ça.

Maintenant, lorsque je lance un

apt upgrade -s


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les NOUVEAUX paquets suivants seront installés :
  php7.4-common php7.4-mysql
Les paquets suivants seront mis à jour :
  bind9 bind9-host bind9utils curl dnsutils ghostscript libapache2-mod-php7.0 libapache2-mod-php7.2 libbind9-140 libcurl3 libcurl3-gnutls libdns-export162 libdns162 libgd3 libgs9
  libgs9-common libidn2-0 libirs141 libisc-export160 libisc160 libisccc140 libisccfg140 libjpeg62-turbo liblwres141 libmariadb3 libmariadbclient18 libpython2.7 libpython2.7-dev
  libpython2.7-minimal libpython2.7-stdlib libsqlite3-0 libssl-dev libssl1.1 libx11-6 libx11-data libx11-xcb1 libxml2 mariadb-client-10.2 mariadb-client-core-10.2 mariadb-common
  mariadb-server mariadb-server-10.2 mariadb-server-core-10.2 mysql-common noderig openssl ovh-rtm-binaries php-mysql php-pear php7.0 php7.0-cli php7.0-common php7.0-curl php7.0-gd
  php7.0-intl php7.0-json php7.0-ldap php7.0-mbstring php7.0-mysql php7.0-opcache php7.0-readline php7.0-soap php7.0-sqlite3 php7.0-xml php7.0-xmlrpc php7.0-zip php7.2 php7.2-cli
  php7.2-common php7.2-curl php7.2-gd php7.2-intl php7.2-json php7.2-ldap php7.2-mbstring php7.2-mysql php7.2-opcache php7.2-readline php7.2-soap php7.2-sqlite3 php7.2-xml php7.2-xmlrpc
  php7.2-zip python2.7 python2.7-dev python2.7-minimal python3-software-properties software-properties-common
88 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
Inst mysql-common [5.8+1.0.2] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [all])
Inst mariadb-common [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [all])
Inst mariadb-server [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [all]) []
Inst libmariadbclient18 [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64]) []
Inst libmariadb3 [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64]) []
Inst libssl-dev [1.1.0l-1~deb9u1] (1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f packages.sury.org [amd64]) []
Inst libssl1.1 [1.1.0l-1~deb9u1] (1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f packages.sury.org [amd64]) []
Inst mariadb-client-core-10.2 [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64]) []
Conf mysql-common (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [all]) []
Conf mariadb-common (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [all]) []
Inst mariadb-server-10.2 [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64]) []
Inst mariadb-client-10.2 [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64]) []
Inst mariadb-server-core-10.2 [10.2.32+maria~stretch] (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Inst python2.7-dev [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64]) []
Inst libpython2.7-dev [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64]) []
Inst libpython2.7 [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64]) []
Inst python2.7 [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64]) []
Inst libsqlite3-0 [3.16.2-5+deb9u1] (3.16.2-5+deb9u2 Debian-Security:9/oldstable [amd64]) []
Inst libpython2.7-stdlib [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64]) []
Inst python2.7-minimal [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64]) []
Inst libpython2.7-minimal [2.7.13-2+deb9u3] (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Inst libxml2 [2.9.4+dfsg1-2.2+deb9u2] (2.9.9+dfsg-1+0~20200226.5+debian9~1.gbp3b6674 packages.sury.org [amd64])
Inst bind9 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst dnsutils [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst bind9-host [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libisc160 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libisccc140 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libisccfg140 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst liblwres141 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libdns162 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libirs141 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst bind9utils [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libbind9-140 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Inst libidn2-0 [0.16-1+deb9u1] (2.2.0-2+0~20200302.4+debian9~1.gbpf85c2e packages.sury.org [amd64])
Inst curl [7.52.1-5+deb9u10] (7.52.1-5+deb9u11 Debian-Security:9/oldstable [amd64]) []
Inst libcurl3 [7.52.1-5+deb9u10] (7.52.1-5+deb9u11 Debian-Security:9/oldstable [amd64])
Inst libjpeg62-turbo [1:1.5.1-2] (1:1.5.1-2+deb9u1 Debian-Security:9/oldstable [amd64])
Inst ghostscript [9.26a~dfsg-0+deb9u6] (9.26a~dfsg-0+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libgs9 [9.26a~dfsg-0+deb9u6] (9.26a~dfsg-0+deb9u7 Debian-Security:9/oldstable [amd64]) []
Inst libgs9-common [9.26a~dfsg-0+deb9u6] (9.26a~dfsg-0+deb9u7 Debian-Security:9/oldstable [all])
Inst php7.0-zip [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-xmlrpc [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-xml [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-sqlite3 [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-soap [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-readline [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-opcache [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-mysql [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-mbstring [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-ldap [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-json [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-intl [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst libgd3 [2.2.4-2+deb9u5] (2.2.5-5.2+0~20190808.4+debian9~1.gbp6d9343 packages.sury.org [amd64]) []
Inst libx11-data [2:1.6.4-3+deb9u1] (2:1.6.4-3+deb9u2 Debian-Security:9/oldstable [all]) []
Inst libx11-6 [2:1.6.4-3+deb9u1] (2:1.6.4-3+deb9u2 Debian-Security:9/oldstable [amd64]) []
Inst php7.0-gd [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-curl [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst libapache2-mod-php7.0 [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-cli [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64]) []
Inst php7.0-common [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Inst php7.2-mysql [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-opcache [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-intl [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-json [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-readline [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-soap [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-mbstring [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-curl [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-ldap [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-sqlite3 [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-zip [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-xmlrpc [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-xml [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-gd [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst libapache2-mod-php7.2 [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-cli [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64]) []
Inst php7.2-common [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Inst libcurl3-gnutls [7.52.1-5+deb9u10] (7.52.1-5+deb9u11 Debian-Security:9/oldstable [amd64])
Inst libisc-export160 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Inst libdns-export162 [1:9.10.3.dfsg.P4-12.3+deb9u6] (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Inst libx11-xcb1 [2:1.6.4-3+deb9u1] (2:1.6.4-3+deb9u2 Debian-Security:9/oldstable [amd64])
Inst openssl [1.1.0l-1~deb9u1] (1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f packages.sury.org [amd64])
Inst php7.4-common (7.4.9-1+0~20200807.24+debian9~1.gbp7962cd packages.sury.org [amd64])
Inst php7.4-mysql (7.4.9-1+0~20200807.24+debian9~1.gbp7962cd packages.sury.org [amd64])
Inst php-mysql [1:7.0+49] (2:7.4+76+0~20200511.26+debian9~1.gbpc9beb6 packages.sury.org [all])
Inst php-pear [1:1.10.1+submodules+notgz-9+deb9u1] (1:1.10.9+submodules+notgz-1+0~20191119.13+debian9~1.gbp296d25 packages.sury.org [all])
Inst php7.0 [7.0.33-0+deb9u8] (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [all])
Inst php7.2 [7.2.32-1+0~20200710.46+debian9~1.gbp625eb5] (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [all])
Inst software-properties-common [0.96.20.2-1] (0.96.20.2-1+deb9u1 Debian-Security:9/oldstable [all]) []
Inst python3-software-properties [0.96.20.2-1] (0.96.20.2-1+deb9u1 Debian-Security:9/oldstable [all])
Inst noderig [2.5.6-stretch.138] (2.5.6-stretch.185 stretch [all])
Inst ovh-rtm-binaries [1.0.8-stretch] (1.0.12-stretch stretch [all])
Conf mariadb-server (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [all])
Conf libmariadbclient18 (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Conf libmariadb3 (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Conf libssl-dev (1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f packages.sury.org [amd64])
Conf libssl1.1 (1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f packages.sury.org [amd64])
Conf mariadb-client-core-10.2 (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Conf mariadb-server-10.2 (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Conf mariadb-client-10.2 (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Conf mariadb-server-core-10.2 (10.2.33+maria~stretch MariaDB:mirror.biznetgio.com [amd64])
Conf python2.7-dev (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf libpython2.7-dev (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf libpython2.7 (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf python2.7 (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf libsqlite3-0 (3.16.2-5+deb9u2 Debian-Security:9/oldstable [amd64])
Conf libpython2.7-stdlib (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf python2.7-minimal (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf libpython2.7-minimal (2.7.13-2+deb9u4 Debian-Security:9/oldstable [amd64])
Conf libxml2 (2.9.9+dfsg-1+0~20200226.5+debian9~1.gbp3b6674 packages.sury.org [amd64])
Conf bind9 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf dnsutils (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf bind9-host (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libisc160 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libisccc140 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libisccfg140 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf liblwres141 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libdns162 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libirs141 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf bind9utils (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libbind9-140 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libidn2-0 (2.2.0-2+0~20200302.4+debian9~1.gbpf85c2e packages.sury.org [amd64])
Conf curl (7.52.1-5+deb9u11 Debian-Security:9/oldstable [amd64])
Conf libcurl3 (7.52.1-5+deb9u11 Debian-Security:9/oldstable [amd64])
Conf libjpeg62-turbo (1:1.5.1-2+deb9u1 Debian-Security:9/oldstable [amd64])
Conf ghostscript (9.26a~dfsg-0+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libgs9 (9.26a~dfsg-0+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libgs9-common (9.26a~dfsg-0+deb9u7 Debian-Security:9/oldstable [all])
Conf php7.0-zip (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-xmlrpc (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-xml (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-sqlite3 (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-soap (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-readline (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-opcache (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-mysql (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-mbstring (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-ldap (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-json (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-intl (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf libgd3 (2.2.5-5.2+0~20190808.4+debian9~1.gbp6d9343 packages.sury.org [amd64])
Conf libx11-data (2:1.6.4-3+deb9u2 Debian-Security:9/oldstable [all])
Conf libx11-6 (2:1.6.4-3+deb9u2 Debian-Security:9/oldstable [amd64])
Conf php7.0-gd (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-curl (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf libapache2-mod-php7.0 (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-cli (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.0-common (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [amd64])
Conf php7.2-mysql (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-opcache (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-intl (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-json (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-readline (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-soap (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-mbstring (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-curl (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-ldap (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-sqlite3 (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-zip (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-xmlrpc (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-xml (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-gd (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf libapache2-mod-php7.2 (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-cli (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf php7.2-common (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [amd64])
Conf libcurl3-gnutls (7.52.1-5+deb9u11 Debian-Security:9/oldstable [amd64])
Conf libisc-export160 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libdns-export162 (1:9.10.3.dfsg.P4-12.3+deb9u7 Debian-Security:9/oldstable [amd64])
Conf libx11-xcb1 (2:1.6.4-3+deb9u2 Debian-Security:9/oldstable [amd64])
Conf openssl (1.1.1g-1+0~20200421.17+debian9~1.gbpf6902f packages.sury.org [amd64])
Conf php7.4-common (7.4.9-1+0~20200807.24+debian9~1.gbp7962cd packages.sury.org [amd64])
Conf php7.4-mysql (7.4.9-1+0~20200807.24+debian9~1.gbp7962cd packages.sury.org [amd64])
Conf php-mysql (2:7.4+76+0~20200511.26+debian9~1.gbpc9beb6 packages.sury.org [all])
Conf php-pear (1:1.10.9+submodules+notgz-1+0~20191119.13+debian9~1.gbp296d25 packages.sury.org [all])
Conf php7.0 (7.0.33-30+0~20200807.37+debian9~1.gbp047872 packages.sury.org [all])
Conf php7.2 (7.2.33-1+0~20200807.47+debian9~1.gbpcb3068 packages.sury.org [all])
Conf software-properties-common (0.96.20.2-1+deb9u1 Debian-Security:9/oldstable [all])
Conf python3-software-properties (0.96.20.2-1+deb9u1 Debian-Security:9/oldstable [all])
Conf noderig (2.5.6-stretch.185 stretch [all])
*****
 

Là, je ne suis pas rassuré de voir passer du php7.4 et du php7.0.
Si je demande

aptitude why php7.4


i   phpmyadmin Dépend php
p   php        Dépend php7.4

et

aptitude why php7.0


i   phpmyadmin Dépend  php
i   php7.0     Fournit php


Je n'ai pas viré php7.0 mais il n'est pas activé. Je m'interroge sur la façon de le virer proprement.

Ma question : Est-ce que je peux sans danger mettre à jour ?
Sans danger signifiant : ne pas virer php7.2, ni flinguer PhpMyAdmin et encore moins MariaDB.

J'ai lu pas mal de tutos et guides sur la gestion des paquets mais ce serveur est important pour mon boulot et c'est pas limpide dans ma tête. Je n'ai pas de version pré-prod pour tenter l'opération donc je marche sur des oeufs.

Merci pour vos conseils bienveillants et toutes les pistes possibles.
Mr Patate

Hors ligne

#2 17-06-2022 15:26:01

MrPatate
Membre
Distrib. : Debian GNU/Linux 9.13 (stretch)
Noyau : Linux 4.9.78-xxxx-std-ipv6-64
(G)UI : Aucun
Inscription : 06-08-2020

Re : Mises à jours en conservant PHP7.2 sous Debian 9

Bonjour,
2 ans après, je me permets un UP parce que le sujet ne passionne visiblement pas les foules. Ou alors, je me dis que j'ai manqué de précision, de politesse, de... chance ? scratchhead.gif

Merci pour tout retour, encouragement, don ou autre big_smile

Mr Patate (toujours la frite !)

Hors ligne

#3 17-06-2022 15:32:23

cyrille
CA Debian-Facile
Lieu : Nowhere
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : Mises à jours en conservant PHP7.2 sous Debian 9

Bonjour

Il est fréquent d'avoir plusieurs versions de php sur un serveur

En fonction des applications et des conf, c'est telle ou telle version qui est lancée

Ainsi tu peux faire tourner wordpress avec un 7.0 par exemple et phpmyadmin avec un 7.4

ça se configure dans les répertoires virtuels de nginx

C'est expliqué ici  https://debian-facile.org/atelier:chant … ons-de-php

En espérant que ça réponde à ta question

"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."

Association Debian-Facile | Les cahiers du débutant | ISO Debian-FacilePage perso. sur #df

Hors ligne

#4 17-06-2022 18:57:19

MrPatate
Membre
Distrib. : Debian GNU/Linux 9.13 (stretch)
Noyau : Linux 4.9.78-xxxx-std-ipv6-64
(G)UI : Aucun
Inscription : 06-08-2020

Re : Mises à jours en conservant PHP7.2 sous Debian 9

Merci Cyrille pour ta contribution.

J'ai bien compris qu'on pouvait faire cohabiter plusieurs versions de php sur le même serveur. Ma question concerne les pertes possibles si on en désinstalle un qui venait avec d'autres applications.
Comme les installations se déroulent automatiquement (notamment PhpMyAdmin), je ne suis pas certains de ne pas tout casser.

Hors ligne

#5 17-06-2022 19:46:52

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Mises à jours en conservant PHP7.2 sous Debian 9

Salut smile

Le problème de ne pas utiliser uniquement des paquets Debian, c'est effectivement que tu risque de tout casser, personne ne s'étant assurer que la version de PHP que tu veux utiliser est compatible avec l'application pacagée hmm

Une solution serait d'être certain d'installer la version de php utilisée par ton phpMyAdmin et de le configurer pour utiliser cette version, mais c'est donc tout à faire à la main et il y a donc des risques de casse hmm

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

Hors ligne

#6 20-06-2022 09:47:43

MrPatate
Membre
Distrib. : Debian GNU/Linux 9.13 (stretch)
Noyau : Linux 4.9.78-xxxx-std-ipv6-64
(G)UI : Aucun
Inscription : 06-08-2020

Re : Mises à jours en conservant PHP7.2 sous Debian 9

Merci Bendia.

Tu me confortes dans mes doutes et mes vigilances ! Prudence, donc hmm

Hors ligne

#7 20-06-2022 12:30:03

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.19 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : Mises à jours en conservant PHP7.2 sous Debian 9

PHP 7.0 et 7.4 sont tous deux installés en dépendance de PHPMyAdmin. Si tu n’as pas connaissance d’une autre application en PHP qui nécessite explicitement la version 7.0 sur ton système, tu pourras désinstaller tous les paquets liés à PHP 7.0 une fois la version 7.4 installée suite à la mise-à-jour proposée par apt.

---

Sur la questions des dépôts tiers, packages.sury.org est maintenu par la même personne qui s’occupe des paquets fournis par Debian pour PHP. Pour moi c’est un dépôt tiers de confiance qui peut être utilisé sans risque, si on doit faire tourner des applications incompatibles avec la version de PHP fournie directement par les dépôts Debian.

Bien sûr ça reste plus intéressant de corriger l’application pour la rendre compatible avec la version de PHP fournie par Debian stable, mais souvent ça ne nécessite pas la même masse de travail wink

Jouer sous Debian ? Facile !

Hors ligne

#8 20-06-2022 12:33:03

MrPatate
Membre
Distrib. : Debian GNU/Linux 9.13 (stretch)
Noyau : Linux 4.9.78-xxxx-std-ipv6-64
(G)UI : Aucun
Inscription : 06-08-2020

Re : Mises à jours en conservant PHP7.2 sous Debian 9

Merci vv222 wink

Hors ligne

Pied de page des forums